#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    string s;
    cin>>s;
    long long r=0,l=0,u=0,d=0;
    for(long long i=0;i<s.size();i++){
        if(s[i]=='R'){
            r++;
        }
        if(s[i]=='L'){
            l++;
        }
        if(s[i]=='U'){
            u++;
        }
        if(s[i]=='D'){
            d++;
        }
    }
    while(u>d){
        cout<<"D";
        u--;
    }
    while(d>u){
        cout<<"U";
        d--;
    }

    while(r>l){
        cout<<"L";
        r--;
    }
    while(l>r){
        cout<<"R";
        l--;
    }
}
